Bug 426511 - Update evolution's EDS reqs (missing symbols)
Update evolution's EDS reqs (missing symbols)
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Matthew Barnes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-21 11:43 EST by Bastien Nocera
Modified: 2008-03-14 16:13 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-14 16:13:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Bastien Nocera 2007-12-21 11:43:29 EST
evolution-2.21.4-1.fc9
evolution-data-server-2.21.3-2.fc9

$ evolution 
CalDAV Eplugin starting up ...
evolution-shell-Message: Killing old version of evolution-data-server...
** (evolution:28646): DEBUG: mailto URL command: evolution --component=mail %s
** (evolution:28646): DEBUG: mailto URL program: evolution
evolution: symbol lookup error:
/usr/lib/evolution/2.22/components/libevolution-mail.so: undefined symbol:
camel_store_can_refresh_folder

Updating to:
 evolution-data-server   i386       2.21.4-1.fc9     development       3.7 M
works (kind of)
Comment 1 Matthew Barnes 2007-12-21 12:14:12 EST
That's weird, I already did:

   %define eds_version 2.21.4
   ...
   BuildRequires: evolution-data-server-devel >= %{eds_version}
   ...
   %changelog
   * Mon Dec 17 2007 Matthew Barnes <mbarnes@redhat.com> - 2.21.4-1.fc9
   - Update to 2.21.4
   - Expunge unused patches.
   - Bump eds_version to 2.21.4 for new Camel functions.
Comment 2 Bastien Nocera 2007-12-21 19:40:51 EST
I guess the soname wasn't upped, so there's no auto-detected updated library
deps from RPM.

I guess you'd also need to add:
Requires: evolution-data-server >= %{eds_version}

I think RPM's pretty bad at detecting when current and age are both upped...
Comment 3 Matthew Barnes 2008-03-14 16:13:15 EDT
It seems despite my best efforts, I just can't get the Evo guys to reliably
track soname versions.  Too many sloppy committers.  So I'm taking your advice.

Fixed in evolution-2.20.0-3.fc9.

Note You need to log in before you can comment on or make changes to this bug.